package com.ibm.jvm;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2006, 2010  All Rights Reserved
 */

/**
 * API provided to interface with the VM (command line -Xlog) system log options
 */
public class Log {

	/**
	 * Query the log state. Populates a string with a text representation of the log flags.
	 * @return The flags
	 */
	public static String QueryOptions() {
		return QueryOptionsImpl();
	}

	/**
	 * Set the log state.
	 * @param options The command line log flags.
	 * @return status
	 *
	 * @throws RuntimeException if the vm does not contain RAS log support
	 */
	public static int SetOptions(String options) {
		return SetOptionsImpl(options);
	}

	/*
	 * Log should not be instantiated.
	 */
	private Log() {
	}

	private static native String QueryOptionsImpl();
	private static native int SetOptionsImpl(String options);
}
