package com.ibm.oti.shared;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 1998, 2010  All Rights Reserved
 */

/**
 * SharedClassHelper super-interface defines functions common to all class helpers.
 * <p>
 * @author		OTI
 * @version		initial
 *
 * @see SharedHelper
 * @see SharedClassHelperFactory
 */
public interface SharedClassHelper extends SharedHelper {
    /* Some functions have been moved to generic SharedHelper interface */

	/**
	 * Applies the sharing filter to the SharedClassHelper.<p>
	 *
	 * If a SecurityManager is installed, this method can only be called
     * by an object who's caller ClassLoader has shared
     * class "read,write" permissions.<br>
	 * If a SharedClassFilter is already set, it is replaced by the new filter.<br>
	 * Passing null as the argument removes the sharing filter.
	 */
	public void setSharingFilter(SharedClassFilter filter);

	/**
	 * Return the sharing filter associated with this helper.
	 * <p>
	 * @return the filter instance or null if non is associated
	 */
	public SharedClassFilter getSharingFilter();

}
